stages:
- test
- build

lint:
  stage: test
  image:
    name: ghcr.io/dtzar/helm-kubectl:latest
    entrypoint: [ "" ]
  script:
    - helm lint chart

build:
  stage: build
  image:
    name: ghcr.io/dtzar/helm-kubectl:latest
    entrypoint: [ "" ]
  script:
    - helm registry login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - helm package chart
    - helm push *.tgz oci://$CI_REGISTRY_IMAGE
  only:
    refs:
      - main

